FreeBSD : hostapd and wpa_supplicant -- multiple vulnerabilities (bbc0db92-084c-11e5-bb90-002590263bf5)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Jouni Malinen reports :

WPS UPnP vulnerability with HTTP chunked transfer encoding. (2015-2 -
CVE-2015-4141)

Integer underflow in AP mode WMM Action frame processing. (2015-3 -
CVE-2015-4142)

EAP-pwd missing payload length validation. (2015-4 - CVE-2015-4143,
CVE-2015-4144, CVE-2015-4145, CVE-2015-4146)

See also :

http://www.nessus.org/u?9c3a76a9
http://www.nessus.org/u?459137b4
http://www.nessus.org/u?979d9ac8
http://openwall.com/lists/oss-security/2015/05/31/6
http://www.nessus.org/u?cae8ebc7

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 83964 ()

Bugtraq ID:

CVE ID: CVE-2015-4141
CVE-2015-4142
CVE-2015-4143
CVE-2015-4144
CVE-2015-4145
CVE-2015-4146

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now